<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}

	if(isset($_SESSION['sauvegarde_formulaire']))
	{
				$_POST = $_SESSION['sauvegarde_formulaire'] ;
				unset($_SESSION['sauvegarde_formulaire']);
	}
	
	$champ_nom = "";
	$champ_prenom = "";
	$champ_email = "";
	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	  {
				
					$champ_email = $_POST["email"];
				
					$sql="SELECT * FROM membres WHERE email = '".$champ_email."'";
					$result = mysql_query($sql);
					$result = mysql_query($sql);
					$count = mysql_num_rows($result);	
	
				    if($count==1)
			        {	
						$data = mysql_fetch_assoc($result);
						$login = $data['login']; 
						$password = $data['password']; 
						$to = $champ_email;
						$from  = "admin@analog-design.net";  
						$jour  = date("d-m-Y");
						$heure = date("H:i");
						$sujet = "Envoi de vos identifiants:";
						$serveur = $_SERVER["SERVER_NAME"];
						
						$message = "";
						
						$message = "
						<html>
						<head>
						<title>Accés compte:</title>
						<style type='text/css'>
						h1{
						color:red;
						}
						</style>
						</head>
						<body>
						<p>Envoyé le $jour à $heure</p> 
						<h1>Salut $login.</h1>
						<p>Suite à ta demande, voici les paramétres de connexion à notre site:</p> 
						<p>http://$serveur </p>
						Login :<strong>$login</strong> & password : <strong>$password</strong> .
						<p>Le webmaster.</p> 
						
						<!-- 
						<table>
						<tr>
						<th>Firstname</th>
						<th>Lastname</th>
						</tr>
						<tr>
						<td>John</td>
						<td>Doe</td>
						</tr>
						</table>
						-->
						
						</body>
						</html>
						";
						
						$headers = "";
						$headers = "MIME-Version: 1.0" . "\n";
						$headers .= "Content-type:text/html;charset=utf-8" . "\n";
						$headers .='Content-Transfer-Encoding: 8bit' . "\n";
						$headers .='From: admin@analog-design.net' . "\n";
						$headers .='Reply-To: admin@analog-design.net';
						
						mail($to, $sujet, $message, $headers);
						
						$_SESSION['message'] = "ok";
					
	
				}
	}			
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>
<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">
</style>

<!-- diaporama -->
<link href="diaporama/css/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="diaporama/js/jquery.jDiaporama.js"></script>
<script type="text/javascript" src="diaporama/js/script.js"></script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
						
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>

		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
           
				<div id="container_envoi_identifiant">
			
				<form method="post" id="form_envoi_identifiant" action="envoi_identifiant.php" onsubmit="return envoi_identifiant(this)">
			 
				<h1>Envoi des paramétres de connexion:</h1>
				
				<input type="hidden" name="valide_form" id="valide_form" value="none" />
				
				<div>
					<label for="nom">Nom</label>
					<input id="nom" name="nom" type="text" onKeyUp="verif_mot(this.value, 'statut_nom')" value = "<?php echo $champ_nom; ?>"  />
					<span id="statut_nom"></span>
				</div>
				
				<div>
					<label for="prenom">Prénom</label>
					<input id="prenom" name="prenom" type="text" onKeyUp="verif_mot(this.value, 'statut_prenom')" value = "<?php echo $champ_prenom; ?>"  />
					<span id="statut_prenom"></span>
				</div>
				
				<div>
					<label for="email">E-mail</label>
					<input id="email" name="email" type="text" onKeyUp="valide_email(this.value)" value = "<?php echo $champ_email; ?>" />
					<span id="statut_email"></span>
				</div>
				
				<div>
					<input id="send" name="send" type="submit" value="Envoyer" />
				</div>

<?php
				if($_SESSION['message'] == "ok")
				{	echo '<div id="message_traitement" style="display:block">Vos identifiants ont été envoyés par email.</div>';
					$_SESSION['message'] = "none";
				}
?>				

				
				</form>
	
				</div>

<!---------------------------------------------------------->	
<?php			
            include('include_pied_page.php');
			include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

</body>
</html>
